/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.syncclient.javagui;

/**
 * Configuration parameters.
 *
 *
 * @version $Id: ConfigurationParameters.java,v 1.6 2007/03/04 15:20:23 nichele Exp $
 */
public interface ConfigurationParameters {

    //---------------------------------------------------------- Constants

    public final static String KEY_CONFIG              = "Config"            ;
    public final static String KEY_CALENDARLIST        = "CalendarList"      ;
    public final static String KEY_CALENDARMODIFY      = "CalendarModify"    ;
    public final static String KEY_CALENDARNEW         = "NewContact"        ;
    public final static String KEY_CONTACTLIST         = "ContactList"       ;
    public final static String KEY_CONTACTMODIFY       = "ContactModify"     ;
    public final static String KEY_CONTACTNEW          = "NewCalendar"       ;
    public final static String KEY_SYNC                = "Sync"              ;

    public final static String PARAM_ADJUSTDATE        = "adjust-date"       ;
    public final static String PARAM_DEVICEID          = "device-id"         ;
    public final static String PARAM_LOGLEVEL          = "log-level"         ;
    public final static String PARAM_MESSAGETYPE       = "message-type"      ;
    public final static String PARAM_PASSWORD          = "password"          ;
    public final static String PARAM_SOURCEURI         = "sourceURI"         ;
    public final static String PARAM_SOURCEURICALENDAR = "sourceCalendarURI" ;
    public final static String PARAM_SOURCEURICONTACT  = "sourceContactURI"  ;
    public final static String PARAM_SYNCCALENDAR      = "sync-calendar"     ;
    public final static String PARAM_SYNCCONTACT       = "sync-contact"      ;
    public final static String PARAM_SYNCMLURL         = "syncml-url"        ;
    public final static String PARAM_SYNCMODE          = "sync"              ;
    public final static String PARAM_SYNCSOURCEURI     = "sourceURI"         ;
    public final static String PARAM_TARGETLOCALURI    = "target-local-uri"  ;
    public final static String PARAM_USERNAME          = "username"          ;

    public final static String MESSAGE_XML
        = "application/vnd.syncml+xml"                                       ;
    public final static String MESSAGE_WBXML
        = "application/vnd.syncml+wbxml"                                     ;

    public final static String LOG_INFO                = "info"              ;
    public final static String LOG_DEBUG               = "debug"             ;
    public final static String LOG_NONE                = "none"              ;
    
    public final static String DEFAULT_DEVICE_ID       = "fjg-pim-demo"      ;
    public final static String PREFIX_DEVICE_ID        = "fjg-"              ;

    public static final String FRAME_ICONNAME          = "icon_32x32.gif"    ;

    //---------------------------------------------------------- Private data

}
